// This file is part of the disk cataloger Wssindex, but was derived from code written by a
// 3rd party.  See comments below for author and licensing information.

// From a post by Emmanuel Lepage Vallee at
// https://stackoverflow.com/questions/17818059/what-is-the-signal-for-when-a-widget-loses-focus

#ifndef FOCUSWATCHER_H
#define FOCUSWATCHER_H

#include <QObject>

class FocusWatcher : public QObject
	{
	Q_OBJECT

public:
	explicit FocusWatcher(QObject *parent = nullptr);
	virtual bool eventFilter(QObject *obj, QEvent *event) override;

Q_SIGNALS:
	void focusChanged(bool in);
	};

#endif // FOCUSWATCHER_H
