// This file is part of the disk cataloger Wssindex, but was written by a
// 3rd party.  See comments below for author and licensing information.

// This is based on a posting at
// https://forum.qt.io/topic/29859/solved-trying-to-fix-aspect-ratio-of-a-widget-big-problems-with-layouts/5

#ifndef QSVGASPECT_H
#define QSVGASPECT_H

#include <QObject>
#include <QSvgWidget>

class QSvgAspect : public QSvgWidget
	{
	Q_OBJECT

public:
	QSvgAspect();
	void setSvgAspectRatio(double aspect);

private:
//	double imageAspectRatio();
	QRect centeredViewport(int width, int height);
	void paintEvent(QPaintEvent *) override;
	double imageAspect;
	};

#endif // QSVGASPECT_H
